package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TLqdata {
    private String id;

    private String vCfCode;

    private Date vDataTime;

    private String vDecData;

    private String vEncData;

    private BigDecimal fWdOut;

    private BigDecimal fSdOut;

    private BigDecimal fWdIn;

    private BigDecimal fSdIn;

    private BigDecimal fMax;

    private BigDecimal fMin;

    private BigDecimal fAvg;

    private BigDecimal fAvgZbc;

    private BigDecimal fAvgDnc;

    /**
     * 粮情(油)数据
     * @return id 粮情(油)数据
     */
    public String getId() {
        return id;
    }

    /**
     * 粮情(油)数据
     * @param id 粮情(油)数据
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓库编号
     * @return v_cf_code 仓库编号
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 仓库编号
     * @param vCfCode 仓库编号
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 采集时间
     * @return v_data_time 采集时间
     */
    public Date getvDataTime() {
        return vDataTime;
    }

    /**
     * 采集时间
     * @param vDataTime 采集时间
     */
    public void setvDataTime(Date vDataTime) {
        this.vDataTime = vDataTime;
    }

    /**
     * 解析后数据
     * @return v_dec_data 解析后数据
     */
    public String getvDecData() {
        return vDecData;
    }

    /**
     * 解析后数据
     * @param vDecData 解析后数据
     */
    public void setvDecData(String vDecData) {
        this.vDecData = vDecData == null ? null : vDecData.trim();
    }

    /**
     * 原始数据（二进制）
     * @return v_enc_data 原始数据（二进制）
     */
    public String getvEncData() {
        return vEncData;
    }

    /**
     * 原始数据（二进制）
     * @param vEncData 原始数据（二进制）
     */
    public void setvEncData(String vEncData) {
        this.vEncData = vEncData == null ? null : vEncData.trim();
    }

    /**
     * 外温
     * @return f_wd_out 外温
     */
    public BigDecimal getfWdOut() {
        return fWdOut;
    }

    /**
     * 外温
     * @param fWdOut 外温
     */
    public void setfWdOut(BigDecimal fWdOut) {
        this.fWdOut = fWdOut;
    }

    /**
     * 外湿
     * @return f_sd_out 外湿
     */
    public BigDecimal getfSdOut() {
        return fSdOut;
    }

    /**
     * 外湿
     * @param fSdOut 外湿
     */
    public void setfSdOut(BigDecimal fSdOut) {
        this.fSdOut = fSdOut;
    }

    /**
     * 内温
     * @return f_wd_in 内温
     */
    public BigDecimal getfWdIn() {
        return fWdIn;
    }

    /**
     * 内温
     * @param fWdIn 内温
     */
    public void setfWdIn(BigDecimal fWdIn) {
        this.fWdIn = fWdIn;
    }

    /**
     * 内湿
     * @return f_sd_in 内湿
     */
    public BigDecimal getfSdIn() {
        return fSdIn;
    }

    /**
     * 内湿
     * @param fSdIn 内湿
     */
    public void setfSdIn(BigDecimal fSdIn) {
        this.fSdIn = fSdIn;
    }

    /**
     * 最大值
     * @return f_max 最大值
     */
    public BigDecimal getfMax() {
        return fMax;
    }

    /**
     * 最大值
     * @param fMax 最大值
     */
    public void setfMax(BigDecimal fMax) {
        this.fMax = fMax;
    }

    /**
     * 最小值
     * @return f_min 最小值
     */
    public BigDecimal getfMin() {
        return fMin;
    }

    /**
     * 最小值
     * @param fMin 最小值
     */
    public void setfMin(BigDecimal fMin) {
        this.fMin = fMin;
    }

    /**
     * 平均值
     * @return f_avg 平均值
     */
    public BigDecimal getfAvg() {
        return fAvg;
    }

    /**
     * 平均值
     * @param fAvg 平均值
     */
    public void setfAvg(BigDecimal fAvg) {
        this.fAvg = fAvg;
    }

    /**
     * 周边层平均值
     * @return f_avg_zbc 周边层平均值
     */
    public BigDecimal getfAvgZbc() {
        return fAvgZbc;
    }

    /**
     * 周边层平均值
     * @param fAvgZbc 周边层平均值
     */
    public void setfAvgZbc(BigDecimal fAvgZbc) {
        this.fAvgZbc = fAvgZbc;
    }

    /**
     * 堆内层平均值
     * @return f_avg_dnc 堆内层平均值
     */
    public BigDecimal getfAvgDnc() {
        return fAvgDnc;
    }

    /**
     * 堆内层平均值
     * @param fAvgDnc 堆内层平均值
     */
    public void setfAvgDnc(BigDecimal fAvgDnc) {
        this.fAvgDnc = fAvgDnc;
    }
}